Query
curl --request POST \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queryId": "<string>",
"sql": "<string>",
"limit": 123
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/query"
payload = {
"queryId": "<string>",
"sql": "<string>",
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queryId: '<string>', sql: '<string>', limit: 123})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"columns": [
{
"name": "<string>",
"dataType": "<string>"
}
],
"rows": [
{}
],
"nextCursor": "<string>",
"durationMs": 123,
"rowCount": 123,
"bytes": 123,
"truncated": true
}databases
Query
Execute a single statement classified as read-only SQL with a database read-only transaction, five-second timeout, cancellation id, and hard row and byte limits.
POST
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
databases
/
{databaseId}
/
query
Query
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
The database's id (UUID), from databases.list.
Body
application/json
Response
Bounded query results and measurements.
⌘I